/*
 *  TalKT
 *  Copyright (C) 1999 Jochen Sarrazin, DG6VJ. All rights reserved.
 *  
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


#ifndef DIALOG_H
#define DIALOG_H


#include <qdialog.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qaccel.h>


class DlgConnect : public QDialog
{
   Q_OBJECT;
public:
   DlgConnect();
   ~DlgConnect();

   void getData( char *_call, char *_path, char *_port, char *_mycall );
   void setData( char *_call,  char *_path, char *_port, char *_mycall );

private:
   QLineEdit *call, *path, *port, *mycall;
   QPushButton *ok, *abort;
   QAccel *ret;
};

class DlgPrefs : public QDialog
{
   Q_OBJECT;
public:
   DlgPrefs();
   ~DlgPrefs();

   void getData( char *_mycall, char *_port, char *_description);
   void setData( char *_mycall, char *_port, char *_description);
private:
   QLineEdit  *port, *mycall, *description;
   QPushButton *ok, *abort;
};


#endif


